Modify list of selected accounts

Sets the list of accounts selected by the customer. This replaces any previously stored list.

To find the account IDs, use the account_id of each account returned by Retrieve Accounts V3.

You must set the list before you can retrieve it, and it must include at least one account ID. Calling Retrieve Selected Accounts User’s Preferences before the list has been set returns a 404.

In order for a widget to use these preferences, append the enable_user_preferences_sync parameter to the widget URL, for example https://widgets.thisisbud.com/<widget_path>?token=<token>&enable_user_preferences_sync. You can choose which widgets sync by adding the parameter to each widget URL individually.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The IDs of the accounts to select. Use the account_id of each account returned by Retrieve Accounts V3.

Selected Accounts Request

The account_id of an account.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

Responses
204

The list of selected accounts was set. There is no response body.

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json